net.minecraft.client.renderer.entity

## Class RenderPlayer

- java.lang.Object
- - net.minecraft.client.renderer.entity.Render
  - - net.minecraft.client.renderer.entity.RenderLiving
    - - net.minecraft.client.renderer.entity.RenderPlayer

-     public class RenderPlayer
      extends RenderLiving

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String[]` | `armorFilenamePrefix`
    `static float` | `NAME_TAG_RANGE`
    `static float` | `NAME_TAG_RANGE_SNEAK`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RenderPlayer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `doRender(Entity par1Entity, double par2, double par4, double par6, float par8, float par9)` Actually renders the given argument.
    `void` | `doRenderLiving(EntityLiving par1EntityLiving, double par2, double par4, double par6, float par8, float par9)`
    `void` | `renderFirstPersonArm(EntityPlayer par1EntityPlayer)`
    `void` | `renderPlayer(EntityPlayer par1EntityPlayer, double par2, double par4, double par6, float par8, float par9)`

    - ### Methods inherited from class net.minecraft.client.renderer.entity.RenderLiving

      `setRenderPassModel`

    - ### Methods inherited from class net.minecraft.client.renderer.entity.Render

      `doRenderShadowAndFire, func_94143_a, getFontRendererFromRenderManager, renderAABB, renderOffsetAABB, setRenderManager`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### armorFilenamePrefix

          public static String[] armorFilenamePrefix

    - #### NAME_TAG_RANGE

          public static float NAME_TAG_RANGE

    - #### NAME_TAG_RANGE_SNEAK

          public static float NAME_TAG_RANGE_SNEAK

  - ### Constructor Detail

    - #### RenderPlayer

          public RenderPlayer()

  - ### Method Detail

    - #### renderPlayer

          public void renderPlayer(EntityPlayer par1EntityPlayer,
                          double par2,
                          double par4,
                          double par6,
                          float par8,
                          float par9)

    - #### renderFirstPersonArm

          public void renderFirstPersonArm(EntityPlayer par1EntityPlayer)

    - #### doRenderLiving

          public void doRenderLiving(EntityLiving par1EntityLiving,
                            double par2,
                            double par4,
                            double par6,
                            float par8,
                            float par9)

      Overrides:
        `doRenderLiving` in class `RenderLiving`

    - #### doRender

          public void doRender(Entity par1Entity,
                      double par2,
                      double par4,
                      double par6,
                      float par8,
                      float par9)

      Actually renders the given argument. This is a synthetic bridge method, always casting down its argument and then handing it off to a worker function which does the actual work. In all probabilty, the class Render is generic (Render
      Overrides:
        `doRender` in class `RenderLiving`